<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>HTML Forms</title>
</head>
<body>
	<h2>HTML Forms</h2>
	<!-- <form> creates an HTML form to capture user input -->
	<!-- <button> creates a button that will trigger the form submission. -->
	<form>
		<!-- type attribute used to submit the form data -->
		<label for="full_name">Full Name:</label>
		<input type="text" id="full_name" name="fullName" required autocomplete>
		<br>
		<!-- <label> creates a text element that will serve as a label for an input field 
				<input> creates a form input element to capture user input
				<for> attribute is used with the "id" attribute in an input element
				<type> attribute will define what type of information the input field should have
				<name> attribute will provide the input field with a name that we can use to associate with the information provided by the user -->
		<label for="birth_date">Birth Date:</label>
		<input type="date" id="birth_date" name="birthDate" required>
		<br>
		<label for="age"> Age: </label>
		<input type="number" id="age" name="age" required>
		<br>
		<label for="gender">Gender</label>
		<select id="gender" name="gender">
			<option value="Male">Male</option>
			<option value="Female">Female</option>
		</select>
		<!-- value attribute is the information that will be sent when the form is submitted -->
		<br>
		<label for="notes"> Notes: </label>
		<textarea name="Notes" id="notes" rows="5" cols="20" style="resize: none;"></textarea>
		<br>
		<label>New User:</label>
		<input type="radio" id="user-type1" name="new_user" value="yes">
		<label for="user-type1">Yes</label>
		<br>
		<input type="radio" id="user-type2" name="new_user" value="no">
		<label for="user-type2">No</label>
		<br>
		<label>Role:</label>
		<input type="checkbox" name="role1" id="role1" value="developer">
		<label for="role1">Developer</label>
		<br>
		<input type="checkbox" name="role2" id="role2" value="student">
		<label for="role2">Student</label>
		<br>
		<input type="checkbox" name="role3" id="role3" value="manager">
		<label for="role3">Manager</label>
		<br>
		<button type="submit"> Submit </button>
		<button type="reset"> Reset </button>
	</form>

		<header>
			<h1>HTML Tables and Forms</h1>
			<nav>
				
			</nav>
		</header>
		<main>
			<h1>HTML Entities</h1>
			<section>
				
			</section>
		</main>
		<footer>
			<h1>HTML Forms</h1>
		</footer>

</body>
</html>